Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface JMSConnectionRuntimeMBean

public interface JMSConnectionRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring a WebLogic JMS connection.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `destroy()` Destroys server side context for the connection.
`java.lang.String` | `getClientID()` Returns the client ID for this connection.
`java.lang.String` | `getHostAddress()` Returns the host address of the client JVM as a string
`JMSSessionRuntimeMBean[]` | `getSessions()` Returns an array of sessions for this connection.
`long` | `getSessionsCurrentCount()` Returns the current number of sessions for this connection.
`long` | `getSessionsHighCount()` Returns the peak number of sessions for this connection since the last reset.
`long` | `getSessionsTotalCount()` Returns the number of sessions on this connection since the last reset.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### destroy

    public void destroy()

  Destroys server side context for the connection.

### getClientID

    public java.lang.String getClientID()

  Returns the client ID for this connection.

  Returns:
    The clientID value

### getSessions

    public JMSSessionRuntimeMBean[] getSessions()

  Returns an array of sessions for this connection.

  Returns:
    The sessions value

### getSessionsCurrentCount

    public long getSessionsCurrentCount()

  Returns the current number of sessions for this connection.

  Returns:
    The sessionsCurrentCount value

### getSessionsHighCount

    public long getSessionsHighCount()

  Returns the peak number of sessions for this connection since the last reset.

  Returns:
    The sessionsHighCount value

### getSessionsTotalCount

    public long getSessionsTotalCount()

  Returns the number of sessions on this connection since the last reset.

  Returns:
    The sessionsTotalCount value

### getHostAddress

    public java.lang.String getHostAddress()

  Returns the host address of the client JVM as a string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD